Get Connected Workflows

Purpose

To retrieve all the connected workflows configured in your Zoho CRM account.

Endpoints

  • GET /settings/connected_workflows

Request Details

Request URL

{api-domain}/crm/{version}/settings/connected_workflows
 

Header

Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

Scope

ZohoCRM.settings.connected_workflows.READ
(or)
ZohoCRM.settings.connected_workflows.ALL
(or)
ZohoCRM.settings.ALL

Note

  • Connected workflows are available in the following editions of Zoho CRM : Standard, Professional, Enterprise, and Ultimate
  • The user must have Manage Automations or Manage Connected Workflow permission enabled to access this API.

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/connected_workflows"
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"
-X GET

Response JSON

The response contains an array connected_workflows, with each object representing a connected workflow. Each object in the array contains the following:

  • idstring

    Represents the unique identifier of the connected workflow.

  • namestring

    Represents the name of the connected workflow.

  • descriptionstring

    Represents the description of the connected workflow.

  • statusstring

    Represents the active status of the connected workflow. 
    Possible values: active, inactive, draft

  • sequence_numberinteger

    Represents the order or sequence number of the connected workflow.

  • created_timedatetime

    Timestamp when the connected workflow was created.

  • created_byJSON object

    Contains the details of the User who created the connected workflow.

  • modified_timedatetime

    Timestamp when the connected workflow was last modified.

  • modified_byJSON object

    Contains the details of the User who last modified the connected workflow.

  • primary_moduleJSON object

    Contains the details of the primary module the connected workflow is associated with.

  • involved_modulesJSON array

    Contains the details of all modules that are referenced or used by this workflow. Each object contains the display label, the API name and the unique ID of the module.

Possible Errors

  • FEATURE_NOT_SUPPORTEDHTTP 400

    Your edition doesn't support this feature
    Resolution: Upgrade the Zoho CRM account to one of the supported editions: Standard, Professional, Enterprise, or Ultimate, and then retry the request.

  • INVALID_REQUEST_METHODHTTP 400

    The http request method type is not a valid one
    Resolution: This API supports only the GET method. Retry the request using the GET method.

  • OAUTH_SCOPE_MISMATCHHTTP 401

    Unauthorized
    Resolution: Client does not have the required OAUTH SCOPE. Create a new token with valid scope. Refer to the Scope section for more details.

  • NO_PERMISSIONHTTP 403

    Permission denied
    Resolution: Ensure that the user making the API call has the Manage Automations or Connected Workflows permission enabled in their CRM profile, and then retry the request.

  • INVALID_URL_PATTERNHTTP 404

    Please check if the URL trying to access is a correct one
    Resolution: The request URL specified is incorrect. Specify a valid request URL. Refer to request URL section for more details.

  • INTERNAL_ERRORHTTP 500

    Internal Server Error
    Resolution: Unexpected and unhandled exception in Server. Contact support team.

Sample Response

Copied{
    "connected_workflows": [
        {
            "created_time": "2025-12-09T16:59:21+05:30",
            "description": null,
            "created_by": {
                "name": "Patricia Boyle",
                "id": "4876876000001360001"
            },
            "sequence_number": 1,
            "modified_time": "2025-12-09T18:20:48+05:30",
            "name": "Test",
            "modified_by": {
                "name": "Patricia Boyle",
                "id": "4876876000001360001"
            },
            "id": "4876876000018185009",
            "primary_module": {
                "api_name": "Leads",
                "id": "4876876000000002175"
            },
            "status": "active",
            "involved_modules": [
                {
                    "display_label": "Leads",
                    "api_name": "Leads",
                    "id": "4876876000000002175"
                },
                {
                    "display_label": "Amenities",
                    "api_name": "Amenities",
                    "id": "4876876000002447279"
                }
            ]
        },
        {
            "created_time": "2026-01-02T18:51:26+05:30",
            "description": null,
            "created_by": {
                "name": "Patricia Boyle",
                "id": "4876876000001360001"
            },
            "sequence_number": 2,
            "modified_time": "2026-01-05T19:35:58+05:30",
            "name": "Test1",
            "modified_by": {
                "name": "Patricia Boyle",
                "id": "4876876000001360001"
            },
            "id": "4876876000019057620",
            "primary_module": {
                "api_name": "Contacts",
                "id": "4876876000000002179"
            },
            "status": "active",
            "involved_modules": [
                {
                    "display_label": "Leads",
                    "api_name": "Leads",
                    "id": "4876876000000002175"
                },
                {
                    "display_label": "Tests",
                    "api_name": "Tests",
                    "id": "4876876000008577002"
                },
                {
                    "display_label": "Customer Onboarding",
                    "api_name": "Customer_Onboarding",
                    "id": "4876876000019056017"
                },
                {
                    "display_label": "Contacts",
                    "api_name": "Contacts",
                    "id": "4876876000000002179"
                }
            ]
        }
    ]
}